Skip to main content
GET
/
v1
/
search
Global Search
curl --request GET \
  --url https://api.example.com/v1/search \
  --header 'Authorization: Bearer <token>'
{
  "query": "<string>",
  "groups": [
    {
      "type": "<string>",
      "total": 123,
      "hits": [
        {
          "id": "<string>",
          "type": "<string>",
          "title": "<string>",
          "snippet": "<string>",
          "link": "<string>",
          "score": 0.5,
          "risk_score": 123,
          "meta": {}
        }
      ],
      "next_cursor": "<string>"
    }
  ],
  "took_ms": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string
required
Required string length: 1 - 256
types
string | null
limit
integer
default:20
Required range: 1 <= x <= 50
cursor
string | null
sort
string
default:relevance
Pattern: ^(relevance|-created_at|-risk_score)$

Response

Successful Response

query
string
required
groups
SearchGroup · object[]
required
took_ms
integer
required